USE COWS
GO
--Table changes needed for Production fix
--Update Phone user defined type to VARCHAR(50)
ALTER TABLE dbo.IPL_ORDR
ADD CLCM_PHN_NBR_NEW VARCHAR(50) NULL
GO

UPDATE dbo.IPL_ORDR
SET CLCM_PHN_NBR_NEW = CLCM_PHN_NBR
GO

ALTER TABLE dbo.ORDR_CNTCT
ADD PHN_NBR_NEW VARCHAR(50) NULL
GO

ALTER TABLE dbo.ORDR_CNTCT
ADD FAX_NBR_NEW VARCHAR(50) NULL
GO

UPDATE dbo.ORDR_CNTCT
SET PHN_NBR_NEW = PHN_NBR,
FAX_NBR_NEW = FAX_NBR
GO

ALTER TABLE dbo.ORDR_EXP
ADD AUTHRZR_PHN_NBR_NEW VARCHAR(50) NULL
GO

UPDATE dbo.ORDR_EXP
SET AUTHRZR_PHN_NBR_NEW = AUTHRZR_PHN_NBR
GO

ALTER TABLE dbo.LK_USER
ADD PHN_NBR_NEW VARCHAR(50) NULL
GO

UPDATE dbo.LK_USER
SET PHN_NBR_NEW = PHN_NBR
GO

ALTER TABLE dbo.VNDR_FOLDR_CNTCT
ADD CNTCT_PHN_NBR_NEW VARCHAR(50) NULL
GO

UPDATE dbo.VNDR_FOLDR_CNTCT
SET CNTCT_PHN_NBR_NEW = CNTCT_PHN_NBR
GO

--Drop the old columns using PHONE data type

ALTER TABLE dbo.IPL_ORDR
DROP COLUMN [CLCM_PHN_NBR]
GO

ALTER TABLE dbo.ORDR_CNTCT
DROP COLUMN [PHN_NBR]
GO

ALTER TABLE dbo.ORDR_CNTCT
DROP COLUMN [FAX_NBR]
GO

ALTER TABLE dbo.ORDR_EXP
DROP COLUMN [AUTHRZR_PHN_NBR]
GO

ALTER TABLE dbo.LK_USER
DROP COLUMN [PHN_NBR]
GO

ALTER TABLE dbo.VNDR_FOLDR_CNTCT
DROP COLUMN [CNTCT_PHN_NBR]
GO

--Rename the new columns
EXEC SP_RENAME 'dbo.IPL_ORDR.CLCM_PHN_NBR_NEW', 'CLCM_PHN_NBR', 'COLUMN'
GO

EXEC SP_RENAME 'dbo.ORDR_CNTCT.PHN_NBR_NEW', 'PHN_NBR', 'COLUMN'
GO

EXEC SP_RENAME 'dbo.ORDR_CNTCT.FAX_NBR_NEW', 'FAX_NBR', 'COLUMN'
GO

EXEC SP_RENAME 'dbo.ORDR_EXP.AUTHRZR_PHN_NBR_NEW', 'AUTHRZR_PHN_NBR', 'COLUMN'
GO

EXEC SP_RENAME 'dbo.LK_USER.PHN_NBR_NEW', 'PHN_NBR', 'COLUMN'
GO

EXEC SP_RENAME 'dbo.VNDR_FOLDR_CNTCT.CNTCT_PHN_NBR_NEW', 'CNTCT_PHN_NBR', 'COLUMN'
GO

--------------------------------------------
--Apply on Archive Tables
--------------------------------------------
ALTER TABLE arch.IPL_ORDR
ADD CLCM_PHN_NBR_NEW VARCHAR(50) NULL
GO

UPDATE arch.IPL_ORDR
SET CLCM_PHN_NBR_NEW = CLCM_PHN_NBR
GO

ALTER TABLE arch.ORDR_CNTCT
ADD PHN_NBR_NEW VARCHAR(50) NULL
GO

ALTER TABLE arch.ORDR_CNTCT
ADD FAX_NBR_NEW VARCHAR(50) NULL
GO

UPDATE arch.ORDR_CNTCT
SET PHN_NBR_NEW = PHN_NBR,
FAX_NBR_NEW = FAX_NBR
GO

ALTER TABLE arch.ORDR_EXP
ADD AUTHRZR_PHN_NBR_NEW VARCHAR(50) NULL
GO

UPDATE arch.ORDR_EXP
SET AUTHRZR_PHN_NBR_NEW = AUTHRZR_PHN_NBR
GO

--Drop the old columns using PHONE data type

ALTER TABLE arch.IPL_ORDR
DROP COLUMN [CLCM_PHN_NBR]
GO

ALTER TABLE arch.ORDR_CNTCT
DROP COLUMN [PHN_NBR]
GO

ALTER TABLE arch.ORDR_CNTCT
DROP COLUMN [FAX_NBR]
GO

ALTER TABLE arch.ORDR_EXP
DROP COLUMN [AUTHRZR_PHN_NBR]
GO

--Rename the new columns
EXEC SP_RENAME 'arch.IPL_ORDR.CLCM_PHN_NBR_NEW', 'CLCM_PHN_NBR', 'COLUMN'
GO

EXEC SP_RENAME 'arch.ORDR_CNTCT.PHN_NBR_NEW', 'PHN_NBR', 'COLUMN'
GO

EXEC SP_RENAME 'arch.ORDR_CNTCT.FAX_NBR_NEW', 'FAX_NBR', 'COLUMN'
GO

EXEC SP_RENAME 'arch.ORDR_EXP.AUTHRZR_PHN_NBR_NEW', 'AUTHRZR_PHN_NBR', 'COLUMN'
GO
----------------------------------------------
----------------------------------------------

--Drop the UDDT
DROP TYPE PHONE


--Convert COST_CNTR to VARCHAR(10)
ALTER TABLE dbo.ORDR_EXP
ALTER COLUMN BILL_TO_COST_CTR_CD VARCHAR(10) NOT NULL
GO

ALTER TABLE arch.ORDR_EXP
ALTER COLUMN BILL_TO_COST_CTR_CD VARCHAR(10) NOT NULL
GO

--Altering Peoplesoft Batch_Seq Number
ALTER TABLE dbo.PS_RCPT_QUEUE
ALTER COLUMN [BATCH_SEQ] INT NULL
GO

ALTER TABLE arch.PS_RCPT_QUEUE
ALTER COLUMN [BATCH_SEQ] INT NULL
GO

--Alter the check constraint on dbo.user_csg_lvl
ALTER TABLE dbo.user_csg_lvl   
DROP CONSTRAINT [A_I_959940867];  
GO  

ALTER TABLE [dbo].[USER_CSG_LVL]  WITH NOCHECK ADD  CONSTRAINT [A_I_P_959940867] CHECK  (([EMPL_ACT_CD]='A' OR [EMPL_ACT_CD]='I' OR [EMPL_ACT_CD]='P'))
GO

ALTER TABLE [dbo].[USER_CSG_LVL] CHECK CONSTRAINT [A_I_P_959940867]
GO

ALTER TABLE dbo.FSA_ORDR_CPE_LINE_ITEM
ADD [ZSCLR_QUOTE_ID] VARCHAR(75) NULL
GO

ALTER TABLE arch.FSA_ORDR_CPE_LINE_ITEM
ADD [ZSCLR_QUOTE_ID] VARCHAR(75) NULL
GO

--Post 5/18
--Remove the restriction from insertmach5order and insertmach5txn
ALTER TABLE dbo.FSA_ORDR_CPE_LINE_ITEM
ALTER COLUMN [MDS_DES] VARCHAR(100) NULL
GO

ALTER TABLE arch.FSA_ORDR_CPE_LINE_ITEM
ALTER COLUMN [MDS_DES] VARCHAR(100) NULL
GO